//
// audio.h
//

#ifndef __AUDIO
#define __AUDIO

typedef struct
{
	ALfloat	x,y,z;
}OALPoint3D;

typedef struct
{
	ALfloat	x,y;
}OALPoint2D;

typedef struct
{
	ALfloat	x,y,z;
}OALVector3D;

typedef struct
{
	ALfloat	x,y;
}OALVector2D;

typedef struct
{
	OALVector3D	aim;
	OALVector3D	up;
}OALOrientation;


//=================================


void InitAudio(void);
void PlaySong(Str255	songFileName, Boolean loopFlag);
void FreeOurSongMovie(void);

void OAL_SetListenerInfo(OALPoint3D *coord, OALVector3D *aim, OALVector3D *up, OALVector3D *vector);
ALuint OAL_PlaySound3D(int bufferNum, OALPoint3D *coord, OALVector3D *vector, float pitch, float gain, Boolean loop);
void OAL_LoadWAVFiles(short numFiles, char *filenames[]);


#endif




